apt: edspSystem Class Reference

apt 2.3.15 commandline package manager

Public Member Functions | List of all members
edspSystem Class Reference
Inheritance diagram for edspSystem:

## Public Member Functions
virtual bool | Initialize (Configuration &Cnf) APT_OVERRIDE
virtual bool | AddStatusFiles (std::vector< pkgIndexFile * > &List) APT_OVERRIDE
Public Member Functions inherited from edspLikeSystem
virtual bool | Lock (OpProgress *const Progress) APT_OVERRIDE APT_PURE
virtual bool | UnLock (bool NoErrors=false) APT_OVERRIDE APT_PURE
virtual pkgPackageManager * | CreatePM (pkgDepCache *Cache) const APT_OVERRIDE APT_PURE
virtual bool | Initialize (Configuration &Cnf) APT_OVERRIDE
virtual bool | ArchiveSupported (const char *Type) APT_OVERRIDE APT_PURE
virtual signed | Score (Configuration const &Cnf) APT_OVERRIDE
virtual bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const APT_OVERRIDE
bool | MultiArchSupported () const override
std::vector< std::string > | ArchitecturesSupported () const override
bool | LockInner (OpProgress *const, int) override
bool | UnLockInner (bool) override
bool | IsLocked () override
| checks if the system is currently locked More...
| edspLikeSystem (char const *const Label)
Public Member Functions inherited from pkgSystem
virtual bool | Lock (OpProgress *const Progress=nullptr)=0
virtual bool | UnLock (bool NoErrors=false)=0
virtual pkgPackageManager * | CreatePM (pkgDepCache *Cache) const =0
virtual bool | Initialize (Configuration &)
virtual bool | ArchiveSupported (const char *Type)=0
virtual bool | AddStatusFiles (std::vector< pkgIndexFile * > &List)=0
virtual bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const =0
virtual signed | Score (Configuration const &)
virtual bool | MultiArchSupported () const =0
virtual std::vector< std::string > | ArchitecturesSupported () const =0
APT_HIDDEN void | SetVersionMapping (map_id_t const in, map_id_t const out)
APT_HIDDEN map_id_t | GetVersionMapping (map_id_t const in) const
| pkgSystem (char const *const Label, pkgVersioningSystem *const VS)
virtual bool | LockInner (OpProgress *const Progress=0, int timeOutSec=0)=0
virtual bool | UnLockInner (bool NoErrors=false)=0
virtual bool | IsLocked ()=0
| checks if the system is currently locked More...

## Additional Inherited Members
Static Public Member Functions inherited from pkgSystem
static pkgSystem * | GetSystem (const char *Label)
Public Attributes inherited from pkgSystem
const char *const | Label
pkgVersioningSystem *const | VS
Static Public Attributes inherited from pkgSystem
static pkgSystem ** | GlobalList = SysList
static unsigned long | GlobalListLen = 0
Protected Attributes inherited from edspLikeSystem
std::unique_ptr< pkgIndexFile > | StatusFile

## Member Function Documentation

## ◆ AddStatusFiles()

bool AddStatusFiles | ( | std::vector< pkgIndexFile * > & | List | ) |
| virtual

Implements pkgSystem.

## ◆ Initialize()

bool Initialize | ( | Configuration & | Cnf | ) |
| virtual

Reimplemented from edspLikeSystem.

The documentation for this class was generated from the following files:

- apt-pkg/edsp/edspsystem.h
- apt-pkg/edsp/edspsystem.cc